Subject: Re: bug#6554: [PATCH] split: Additional suffix for split (bug#6554)

From: Pádraig Brady <[email-masked]>
Date: Sun, 19 Feb 2012 20:16:52 +0000

On 02/19/2012 06:30 PM, Jérémy Compostella wrote:
>> On 02/19/2012 12:54 PM, Jérémy Compostella wrote:
>> > Pádraig,
>> >
>> > I replaced --suffix with --additional-suffix and made some cleaning.
>> >
>> > Feel free to comment the attached patch.
>> 
>> Logic is perfect again.
> Thanks :)
> 
>> I adjusted the help output a little like:
>> 
>> -  -a, --suffix-length=N   use suffixes of length N (default %d)\n\
>> -      --additional-suffix=SUFFIX  append an additional SUFFIX to output file\n\
>> -                                       names. SUFFIX must not contain slash.\n\
>> +  -a, --suffix-length=N   generate suffixes of length N (default %d)\n\
>> +      --additional-suffix=SUFFIX  append an additional SUFFIX to file names.\n\
> I'm just wondering why did you removed the slash warning ? This warning
> is maybe too much in the command usage but IMHO the man page should
> mention it. Moreover, the mktemp mention this "restriction" on its
> --suffix option this way.

I thought it wasn't worth mentioning, especially since
it messed up the output alignment a bit.
Who is going to use a slash?
the .0001% who do will immediately get an error anyway.

cheers,
Pádraig.